## dante 1.2.2+dfsg

=== debian/changelog ===
dante (1.2.2+dfsg-3) experimental; urgency=low

  * Depend on a hardening package so that the build hardening is actually
    done in the automated builds, and use the hardening-includes package
    instead of hardening-wrapper so that the hardening flags are visible in
    CFLAGS and LDFLAGS.
  * Add the 17-cppcheck patch to fix two errors pointed out by cppcheck
    and to silence two of its false-positive warnings.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Dec 2010 18:05:16 +0200

dante (1.2.2+dfsg-2) experimental; urgency=low

  * Really fix the FTBFS on GNU/Hurd:
    - complete my 16-sa_siginfo patch
    - in the 11-linux-eccentricities patch add GNU/Hurd, too, to
      the list of architectures where the shared library search is done

 -- Peter Pentchev <roam@ringlet.net>  Fri, 15 Oct 2010 17:23:21 +0300

dante (1.2.2+dfsg-1) experimental; urgency=low

  * Another try to get the "Linux eccentricities" code right -
    fix the FTBFS on armel, mips and mipsel.  Closes: #598967
  * New upstream version:
    - refresh the 01-rename-library patch
    - refresh the 15-lib-dante-client and do not let LIBDIR override
      the /usr/lib/dante-client parent path
    - add getsockopt() to libsocksd0's symbols files
    - refresh the line numbers in the 03-configure, 11-linux-eccentricities,
      and 13-c-warnings patches
  * Add the 16-sa_siginfo patch to try to fix the FTBFS on GNU/Hurd.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 12 Oct 2010 17:34:29 +0300

dante (1.2.1+dfsg-2) experimental; urgency=low

  * Drop the automake1.9 build dependency after a discussion with
    George Danchev.
  * Reintroduce the 11-linux-eccentricities patch to fix the FTBFS on
    GNU/kFreeBSD and, hopefully, Hurd.
  * Provide a separate symbols file on kFreeBSD - there's no need for
    the issetugid(2) and sockatmark(3) wrappers there.
  * Switch to bzip2 compression for the Debian tarball.
  * Switch to Git and point the Vcs-* fields to Gitorious.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Sep 2010 17:51:03 +0300

dante (1.2.1+dfsg-1) experimental; urgency=low

  [ Peter Pentchev ]
  * Convert to the 3.0 (quilt) source format.
  * Simplify the rules file:
    - use debhelper override rules
    - use dh --with autotools_dev to take care of config.guess and config.sub
    - do not pass --prefix to dh_auto_configure - it does it by itself
    - use libsocksd0-dev.links
    - bump the debhelper compatibility level to 8 and put the dh sequence name
      first before any options
  * Sort and beautify the Build-Depends line in the control file.
  * Bump Standards-Version to 3.9.1:
    - dante-client now Breaks older libdsocksd0 versions, no longer Conflicts
      with them
    - we no longer need to pass -D_REENTRANT to the compiler
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest DEP 5 format and bump the year on
    my copyright notice.
  * Shorten the Vcs-Browser URL.
  * Add DEP 3 headers to all the patches.
  * Keep the socksify.1 manual page in its own file in debian/ instead of
    creating a whole file using a patch.
  * New upstream version:
    - Closes: #591082
    - update the 01-rename-library, 02-rename-programs, 05-readme-functions,
      07-rconnect, 10-config-users, 11-linux-eccentricities, 12-man-errors,
      and 13-c-warnings patches
    - remove the 04-faq, 09-getifa-address, and 14-httpproxy-underrun patches,
      merged upstream independently
    - remove the 11-linux-eccentricities patch - dante fails to build without
      the macro masking
    - refresh the 03-configure patch
    - doc/faq.tex has disappeared, so do not install it
    - libdsocksd0 has turned into a private library; add the 15-lib-dante-client
      patch to swallow it back into dante-client as it used to be before
      I broke it out in 1.1.19.dfsg-1
    - update the libsocksd0 symbols file
    - remove dlib/socks.map at clean-up time
  * Explicitly disable GSSAPI support to avoid accidental dependencies arising
    from the build environment.

  [ George Danchev ]
  * Added automake1.9 in Build-Depends
  * Set DM-Upload-Allowed: yes

 -- Peter Pentchev <roam@ringlet.net>  Fri, 03 Sep 2010 13:05:44 +0300

dante (1.1.19.dfsg-3) unstable; urgency=low

  * Make libsocksd0-dev installable by fixing its dependency on libsocksd0!
  * Add misc:Depends to all binary packages, just in case.
  * Add comments to the patches that did not have any.
  * Override the "dfsg version with period" lintian warning.
  * Properly refer to GPL-2 instead of just GPL in the copyright file.
  * Improve the long descriptions of all packages.
  * Bump Standards-Version to 3.8.1:
    - make the dante-server init script exit successfully if the server
      is already running
  * Drop the versioned build-dependency on quilt - in this day and age,
    we are virtually guaranteed a quilt >= 0.40.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 25 Mar 2009 14:18:11 +0200

dante (1.1.19.dfsg-2) unstable; urgency=low

  * Since the "new" binary package libdsocksd0 extracts a library that
    was formerly in dante-client, it should conflict and replace old
    versions of dante-client.  Closes: #494712.
  * Remove the "debian/copyright line too long" lintian overrides, since
    the check was dropped from lintian in both unstable and testing.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 22 Aug 2008 13:02:45 +0300

dante (1.1.19.dfsg-1) unstable; urgency=low

  * New maintainer.  Closes: #486756
  * Do not start danted if the config file contains nothing but
    the default settings.  Closes: #232574, #368322, #466082.
  * Use quilt to manage the patches, converting all existing ones.
  * Fix some lintian warnings
  * Add a watch file and README.source
  * Honor DEB_BUILD_OPTIONS
  * Separate the dante client library into a package of its own
  * Minimize the rules file by using debhelper 7

