=== debian/control ===
Source: dante
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper(>> 8), autotools-dev (>= 20100122.1~),
	dpkg-dev (>= 1.15.7~), flex, hardening-includes,
	libtool, libpam0g-dev, libwrap0-dev
Homepage: http://www.inet.no/dante/
Standards-Version: 3.9.1
Vcs-Git: git://gitorious.org/dante/pkg-debian.git
Vcs-Browser: http://gitorious.org/dante/pkg-debian

Package: libsocksd0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOCKS library for packages built using libsocksd-dev
 Dante is a circuit-level firewall/proxy that can be used to provide
 convenient and secure network connectivity to a wide range of hosts
 while requiring only the server Dante runs on to have external network
 connectivity.
 .
 This package provides the Dante SOCKS support library and will generally
 be automatically selected by packages that require it.
  
Package: libsocksd0-dev
Architecture: any
Section: libdevel
Depends: libsocksd0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for compiling programs with SOCKS support
 Dante is a circuit-level firewall/proxy that can be used to provide
 convenient and secure network connectivity to a wide range of hosts
 while requiring only the server Dante runs on to have external network
 connectivity.
 .
 This package provides header files and instructions for compiling programs
 with SOCKS support.

Package: dante-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libdsocksd0 (<< 1.2.1+dfsg)
Replaces: libdsocksd0 (<< 1.2.1+dfsg)
Description: SOCKS wrapper for users behind a firewall
 Dante is a circuit-level firewall/proxy that can be used to provide
 convenient and secure network connectivity to a wide range of hosts
 while requiring only the server Dante runs on to have external network
 connectivity.
 .
 This package provides the "socksify" client program - a tool which
 forwards network requests from any program to a SOCKS server (v4 or v5)
 which then performs them on your behalf. 

Package: dante-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOCKS (v4 and v5) proxy daemon (danted)
 Dante is a circuit-level firewall/proxy that can be used to provide
 convenient and secure network connectivity to a wide range of hosts
 while requiring only the server Dante runs on to have external network
 connectivity.
 .
 This package provides the socks proxy daemon (danted). The server part
 of Dante allows socks clients to connect through it to the network.
