=== debian/watch ===
version=3
opts="dversionmangle=s/\.dfsg//" \
ftp://ftp.inet.no/pub/socks/dante-(.*)\.tar\.gz
