## dante 1.4.1+dfsg

=== debian/changelog ===
dante (1.4.1+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for glibc 2.24.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Aug 2016 08:23:11 +0000

dante (1.4.1+dfsg-2) unstable; urgency=medium

  * Add the 21-sendbuf-ioctl, 22-sigpwr-siginfo, and 23-sa-len-unused
    patches to fix some FTBFS's on the Debian buildd network.
  * Update the watch file a bit:
    - fix the dversionmangle pattern to remove "+dfsg" instead of
      the ".dfsg" used a long, long time ago.
    - point it to a webpage with links instead of an FTP site
    - update to version 4 and explicitly add pgpmode=none

 -- Peter Pentchev <roam@ringlet.net>  Mon, 18 Apr 2016 17:34:55 +0300

dante (1.4.1+dfsg-1) unstable; urgency=medium

  * Fix FTBFS by depending on libtool-bin instead of libtool.
    Closes: #776907
  * Remove the obsolete DM-Upload-Allowed source control field.
  * Note the migration to my GitLab repository in the Vcs-* fields.
  * Use the default dpkg-dev source package compression method.
  * Drop the versions from the autotools-dev and dpkg-dev dependencies.
  * Fix the broken .so symlink in libsocksd0-dev.  Closes: #715117
  * Bump the debhelper compatibility level to 10:
    - install into the multiarch library directory
    - get the compiler and linker flags directly from debhelper
    - override the "experimental debhelper version" Lintian warning
    - drop the autotools-dev dependency and invocation, debhelper uses
      autoreconf automatically in level 10; do not override the Lintian
      "outdated autotools file" warnings, since it's wrong - see #820441
  * New upstream version:
    - Closes: #740749 (new upstream version)
    - Closes: #731178 (tries to dlopen a linker script)
    - rework some of the patches to modify the *.am files instead of
      the *.in ones; Closes: #716681
    - add a lot more filenames to debian/clean
    - put the preloaded libdsocksd back into its own package, complete
      with a SONAME, in preparation for socksify being able to select
      the one with the correct ABI/architecture; drop the 15-lib-dante-client
      patch that is no longer applicable
    - update the libsocksd0 symbols file - all the internal symbols were
      dropped from the public interface; this should cause no trouble,
      since none of these should ever have been used by anything external.
      Closes: #626316
    - drop the no longer shipped TODO doc file
    - update the patches
    - drop the 07-rconnect patch, it seems to be handled upstream
    - drop the 13-c-warnings patch, it was integrated upstream
    - drop the check for PTHREAD_MUTEX_ERRORCHECK, we really need it; if it
      turns out not to be available on some architectures, we'll figure out
      ways around that
    - update the upstream copyright information
  * Add Multi-Arch headers to the binary packages.
  * Add the 18-dante-client-multiarch patch:
    - build and install libdsocksd0 as a fully-versioned library
    - teach socksify to only put the library names, no full paths, into
      the LD_PRELOAD environment variable, and leave the runtime loader to
      figure out which version (ABI, multiarch, etc) of the library to use
    - make dante-client an architecture-independent package since all
      the arch-dependent binaries are now in the libdsocksd0 one
    - Closes: #656096
  * Add the 19-standards patch to add _DEFAULT_SOURCE to the _BSD_SOURCE
    definition that is declared obsolete in recent libc versions; also,
    add *-gnu to the triplets mask to include kFreeBSD and the Hurd.
  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to the 1.0 format
  * Add the 21-typos patch to fix some typographical and grammatical errors.
  * Bring dante-server's danted.init script up to date:
    - add an LSB Description
    - source the LSB init-functions file
    - add a 'status' command
  * Fix the 03-configure patch's header: "Author" is a single-line field.
  * Add an upstream metadata file.
  * Drop the dante-server and dante-client.preinst files, upgrades from
    version 0.92 are... not expected to happen.
  * Drop the leftover debian/socks.h file; we've been using the upstream
    one for more than ten years now.
  * Use the upstream version of the socksify.1 manual page.
  * Upload to unstable; dante has been gone from testing long enough
    that this will not disrupt anything.
  * Actually name the BSD-3-clause-alike license in the debian/copyright file
    and break it into its own License section.
  * Acknowledge the 1.1.19.dfsg-3.1 NMU by Matthias Klose <doko@debian.org>;
    thanks for taking care of the libtool transition!
  * Bump the year on my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 08 Apr 2016 17:14:40 +0300

dante (1.1.19.dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761743.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:21:39 +0000
