=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper(>> 8), autotools-dev (>= 20100122.1~),
-	dpkg-dev (>= 1.15.7~), flex, hardening-includes,
-	libtool, libpam0g-dev, libwrap0-dev
+Build-Depends: debhelper (>> 9.20160403~),
+ flex, libtool-bin, libpam0g-dev, libwrap0-dev
 Homepage: http://www.inet.no/dante/
-Standards-Version: 3.9.1
-Vcs-Git: git://gitorious.org/dante/pkg-debian.git
-Vcs-Browser: http://gitorious.org/dante/pkg-debian
+Standards-Version: 3.9.8
+Vcs-Git: https://gitlab.com/dante/pkg-debian-full.git
+Vcs-Browser: https://gitlab.com/dante/pkg-debian-full
 
 Package: libsocksd0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: SOCKS library for packages built using libsocksd-dev
@@ -26,6 +25,7 @@
   
 Package: libsocksd0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libsocksd0 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for compiling programs with SOCKS support
@@ -37,11 +37,27 @@
  This package provides header files and instructions for compiling programs
  with SOCKS support.
 
+Package: libdsocksd0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: dante-client (<< 1.4.1+dfsg)
+Replaces: dante-client (<< 1.4.1+dfsg)
+Description: SOCKS library preloaded in user applications
+ Dante is a circuit-level firewall/proxy that can be used to provide
+ convenient and secure network connectivity to a wide range of hosts
+ while requiring only the server Dante runs on to have external network
+ connectivity.
+ .
+ This package provides the Dante library that will be preloaded by
+ the socksify tool.
+  
 Package: dante-client
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libdsocksd0 (<< 1.2.1+dfsg)
-Replaces: libdsocksd0 (<< 1.2.1+dfsg)
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
+ libdsocksd0 (>= ${source:Version}), libfile-which-perl
 Description: SOCKS wrapper for users behind a firewall
  Dante is a circuit-level firewall/proxy that can be used to provide
  convenient and secure network connectivity to a wide range of hosts
@@ -54,6 +70,7 @@
 
 Package: dante-server
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: SOCKS (v4 and v5) proxy daemon (danted)
  Dante is a circuit-level firewall/proxy that can be used to provide
