=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,9 @@
 DEB=$(CURDIR)/debian/tmp
 DEV=debian/libsocksd0-dev
 
-CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)
-
-include /usr/share/hardening-includes/hardening.make
-ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
-CFLAGS+=	$(HARDENING_CFLAGS)
-LDFLAGS+=	$(HARDENING_LDFLAGS)
-endif
-
-export CFLAGS CPPFLAGS LDFLAGS
+# Aim for the top, adapt if anything should break on the buildds.
+DEB_BUILD_MAINT_OPTIONS=	hardening=+all
+export DEB_BUILD_MAINT_OPTIONS
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -52,7 +44,7 @@
 	dh_install
 
 override_dh_installdocs:
-	dh_installdocs -A README doc/README.usage doc/README.survey BUGS CREDITS TODO SUPPORT
+	dh_installdocs -A README doc/README.usage doc/README.survey BUGS CREDITS SUPPORT
 	dh_installdocs -pdante-client doc/README.socksify
 	dh_installdocs -pdante-client -pdante-server
 	dh_installdocs -pdante-server doc/SOCKS4.protocol
@@ -64,4 +56,4 @@
 	dh_installinit -pdante-server -r --init-script=danted
 
 %:
-	dh "$@" --with autotools_dev
+	dh "$@"
