=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//,pgpmode=none" \
http://ftp.inet.no/dante/download.html (?:http://ftp.inet.no)?/dante/files/dante-(.*)\.tar\.gz
