## dante 1.4.2+dfsg

=== debian/changelog ===
dante (1.4.2+dfsg-7.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 05 Feb 2024 02:19:17 +0000

dante (1.4.2+dfsg-7) unstable; urgency=medium

  * Run dpkg-gensymbols with -c4 for more stringent checks.
  * Drop Breaks/Replaces satisfied in oldstable.
  * Fix a use-after-free bug in the config parsing.
  * Use the test-name autopkgtest feature.
  * Add a trivial git-buildpackage config file.
  * Bump Standards-Version to 4.4.0 with no changes.
  * Mark the /lib64 directory as optional in the danted service file.
    Closes: #932169
  * Mark the adequate test as superficial.
  * Correct another typographical error.

 -- Peter Pentchev <roam@debian.org>  Thu, 12 Sep 2019 14:17:28 +0300

dante (1.4.2+dfsg-6) unstable; urgency=medium

  * Use a wildcard in debian/not-installed instead of hardcoding
    the x86_64-linux-gnu multiarch triplet, thus fixing the FTBFS on
    any other architecture.  Closes: #918355

 -- Peter Pentchev <roam@debian.org>  Sat, 05 Jan 2019 16:23:14 +0200

dante (1.4.2+dfsg-5) unstable; urgency=medium

  * Bump the debhelper compatibility level to 12 with no changes.
  * Add ${misc:Pre-Depends} to dante-server.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Move away from git-dpm.
  * Add the year 2019 to my debian/* copyright notice.
  * Run dh_missing with the --fail-missing option and create
    the debian/not-installed file listing some files that we modify
    and install manually.

 -- Peter Pentchev <roam@debian.org>  Fri, 04 Jan 2019 23:54:23 +0200

dante (1.4.2+dfsg-4) unstable; urgency=medium

  * Drop "--without systemd" from the dh invocation, missed in
    the upgrade to debhelper compat level 11.  Closes: #907889
  * Specify Build-Depends-Package in the libsocksd0 symbols file and
    add a Lintian override for libdsocksd0.
  * Enable some systemd hardening options and add a news blurb on
    disabling/customizing them.
  * Move the systemd pid file from /var/run to /run.
  * Change the systemd service type to "simple" and do not pass "-D".

 -- Peter Pentchev <roam@debian.org>  Mon, 17 Dec 2018 18:01:57 +0200

dante (1.4.2+dfsg-3) unstable; urgency=medium

  * Add two more fixes to the typos patch.
  * Add the year 2018 to my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Bring up to compliance with Debian Policy 4.2.1:
    - use uscan's "repack" mechanism along with Files-Excluded in
      the copyright file
    - install the upstream release notes (NEWS) as NEWS and not changelog
  * Bump the debhelper compatibility level to 11:
    - override the dh_installsystemd invocation to rename the service file
    - use the B-D: debheper-compat (= 11) mechanism
  * Rename the SysV init script file in the source package to follow
    suit with the systemd one.
  * Add a trivial autopkgtest running adequate on the installed package.

 -- Peter Pentchev <roam@debian.org>  Thu, 30 Aug 2018 14:45:37 +0300

dante (1.4.2+dfsg-2) unstable; urgency=medium

  * Remove trailing whitespace from the changelog and control files.
  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Switch to git-dpm for patch management and rename the patches.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 30 Oct 2017 01:08:23 +0200

dante (1.4.2+dfsg-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.0:
    - implement the "try-restart" command in the init script; also fix
      the behavior of the "restart" command when the daemon was stopped
  * New upstream version:
    - update the 19-standards patch, half of it was integrated upstream
    - drop the 23-sa-len-unused and 24-uintptr_t patches, fixed upstream
    - refresh several patches
    - add Rgetnameinfo to the symbols file
    - update the upstream copyright years

 -- Peter Pentchev <roam@ringlet.net>  Wed, 27 Sep 2017 14:12:52 +0300

dante (1.4.1+dfsg-5) unstable; urgency=medium

  * Add an error handler to the post-install startup of dante-server so
    that it doesn't make the package installation fail if danted.conf
    has not been customized yet (i.e. always on first installation).
    Closes: #862988

 -- Peter Pentchev <roam@ringlet.net>  Sun, 21 May 2017 17:23:27 +0300

dante (1.4.1+dfsg-4) unstable; urgency=medium

  * Add the 25-path-max patch as a temporary band-aid for building Dante
    on GNU/Hurd.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 12 Jan 2017 13:07:24 +0200

dante (1.4.1+dfsg-3) unstable; urgency=medium

  * Add some more fixes to the 20-typos patch.
  * Fix the formatting of multiple DEP-3 Author headers in a patch.
  * Add a systemd service file (originally obtained from Arch Linux,
    almost completely overhauled).
  * Switch to the compat level 10 default debhelper behavior regarding
    restarting services during an upgrade - only restarting the service
    after the upgrade.
  * Correct the number of the Debian bug in the 01-rename-library patch.
  * Point the watch file to the main upstream website.
  * Use the HTTPS scheme for various upstream and Debian-related URLs.
  * Build-depend on debhelper 10 now that it's even in jessie-backports
    and drop the Lintian override.
  * Let dante-server depend on lsb-base for the init script functions.
  * Use single quotes around a variable that is interpolated by make,
    not by the shell, in the rules file.
  * Use the v4 substitution variables in the watch file.
  * Add the 24-uintptr_t patch to fix the build on !linux i386 hosts.
    Closes: #845404; thanks, Samuel Thibault!
  * Rename the 22-sigpwr-siginfo patch to 22-signal-names, simplify it
    a bit, and also check for SIGPWR == SIGLOST.
  * Bump the year on my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 09 Jan 2017 17:28:22 +0200
