=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: dante
 Section: net
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 9.20160403~),
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 12),
  flex, libtool-bin, libpam0g-dev, libwrap0-dev
-Homepage: http://www.inet.no/dante/
-Standards-Version: 3.9.8
+Homepage: https://www.inet.no/dante/
+Standards-Version: 4.4.0
 Vcs-Git: https://gitlab.com/dante/pkg-debian-full.git
 Vcs-Browser: https://gitlab.com/dante/pkg-debian-full
+Rules-Requires-Root: no
 
-Package: libsocksd0
+Package: libsocksd0t64
+Provides: ${t64:Provides}
+Replaces: libsocksd0
+Breaks: libsocksd0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -22,12 +26,12 @@
  .
  This package provides the Dante SOCKS support library and will generally
  be automatically selected by packages that require it.
-  
+
 Package: libsocksd0-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsocksd0 (= ${binary:Version}), ${misc:Depends}
+Depends: libsocksd0t64 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for compiling programs with SOCKS support
  Dante is a circuit-level firewall/proxy that can be used to provide
  convenient and secure network connectivity to a wide range of hosts
@@ -37,13 +41,14 @@
  This package provides header files and instructions for compiling programs
  with SOCKS support.
 
-Package: libdsocksd0
+Package: libdsocksd0t64
+Provides: ${t64:Provides}
+Replaces: libdsocksd0
+Breaks: libdsocksd0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: dante-client (<< 1.4.1+dfsg)
-Replaces: dante-client (<< 1.4.1+dfsg)
 Description: SOCKS library preloaded in user applications
  Dante is a circuit-level firewall/proxy that can be used to provide
  convenient and secure network connectivity to a wide range of hosts
@@ -52,12 +57,12 @@
  .
  This package provides the Dante library that will be preloaded by
  the socksify tool.
-  
+
 Package: dante-client
 Architecture: all
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
- libdsocksd0 (>= ${source:Version}), libfile-which-perl
+ libdsocksd0t64 (>= ${source:Version}), libfile-which-perl
 Description: SOCKS wrapper for users behind a firewall
  Dante is a circuit-level firewall/proxy that can be used to provide
  convenient and secure network connectivity to a wide range of hosts
@@ -66,12 +71,13 @@
  .
  This package provides the "socksify" client program - a tool which
  forwards network requests from any program to a SOCKS server (v4 or v5)
- which then performs them on your behalf. 
+ which then performs them on your behalf.
 
 Package: dante-server
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Description: SOCKS (v4 and v5) proxy daemon (danted)
  Dante is a circuit-level firewall/proxy that can be used to provide
  convenient and secure network connectivity to a wide range of hosts
