=== debian/rules ===
--- 
+++ 
@@ -50,10 +50,22 @@
 	dh_installdocs -pdante-server doc/SOCKS4.protocol
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs
+	set -e; for p in $$(dh_listpackages); do \
+		install -m 644 NEWS "debian/$$p/usr/share/doc/$$p/"; \
+	done
 
 override_dh_installinit:
-	dh_installinit -pdante-server -r --init-script=danted
+	dh_installinit -pdante-server --name=danted --error-handler=dante_service_error
+
+override_dh_installsystemd:
+	dh_installsystemd -pdante-server --name=danted
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 %:
-	dh "$@"
+	dh '$@'
