=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,pgpmode=none" \
https://www.inet.no/dante/download.html (?:https://www.inet.no)?/dante/files/dante-@ANY_VERSION@@ARCHIVE_EXT@
