## dante 1.4.3+dfsg

=== debian/changelog ===
dante (1.4.3+dfsg-3.1build1) questing; urgency=medium

  * No-change rebuild for glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2025 10:36:03 +0200

dante (1.4.3+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the autopkgtest for the time_t changes.

 -- Adrian Bunk <bunk@debian.org>  Thu, 10 Apr 2025 12:28:54 +0300

dante (1.4.3+dfsg-3) unstable; urgency=medium

  * Refresh the debputy-style formatting.
  * Add the year 2025 to my debian/* copyright notice.
  * Add the sbin-ldconfig patch for the configure script;
    hopefully Closes: #1067709
  * Add more generated files to debian/clean.

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Feb 2025 01:25:17 +0200

dante (1.4.3+dfsg-2) unstable; urgency=medium

  * Drop the Lintian overrides related to the 64-bit time_t transition,
    Lintian was fixed to recognize the t64 library name suffix.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Hopefully the armel/armhf build failure was fixed in other packages,
    so that this upload Closes: #1067709
  * Belatedly note that 1.4.3+dfsg-1 also Closes: #1044901

 -- Peter Pentchev <roam@debian.org>  Sun, 01 Sep 2024 16:30:53 +0300

dante (1.4.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Bump the debhelper compatibility level to 13:
    - drop the conditional around the "auto_test" target - debhelper
      will not execute it at all unless it is needed
    - use "execute_after" for the "auto_clean" target
    - drop the "dh_missing" override; "--fail-missing" is the default now
  * Extend my debian/* copyright notice to the year 2023.
  * Let include/redefac.h be autogenerated.
  * dante-server: drop the dependency on lsb-base; the sysvinit-utils
    package that provides the functionality needed by the SysV init script
    is marked as essential.
  * New upstream release:
    - update the upstream copyright years
    - refresh the patches
  * Add the year 2024 to my debian/* copyright notice.
  * Add the implicit patch to fix some GCC warnings.
  * Acknowledge NMU for the 64-bit time_t library renaming.
    Thanks, Michael Hudson-Doyle! Closes: #1064285

 -- Peter Pentchev <roam@debian.org>  Mon, 18 Mar 2024 12:36:18 +0200
