=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,8 @@
 	  --with-sockd-conf=/etc/danted.conf \
 	  --with-pidfile=/var/run/danted.pid \
 	  --without-gssapi
-	cp lib/config_parse.c lib/config_scan.c dlib/
-	cp lib/config_parse.c lib/config_scan.c sockd/
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	for d in sockd dlib; do \
 	  cd $$d; \
 	  for i in *; do \
@@ -29,7 +26,7 @@
 	done
 	rm -rf example/renamed
 
-override_dh_install:
+execute_before_dh_install:
 	cp $(DEB)/usr/share/man/man5/socks.conf.5  $(DEB)/usr/share/man/man5/dante.conf.5
 	cp $(DEB)/usr/share/man/man5/sockd.conf.5  $(DEB)/usr/share/man/man5/danted.conf.5
 	cp $(DEB)/usr/share/man/man8/sockd.8 $(DEB)/usr/share/man/man8/danted.8
@@ -41,7 +38,6 @@
 	for i in example/socks*.conf; do \
 		sed -e 's/sample socks.conf/sample dante.conf/' < "$$i" > example/renamed/"`basename $$i | sed -e s/socks/dante/`"; \
 	done
-	dh_install
 
 override_dh_installdocs:
 	dh_installdocs -A README doc/README.usage doc/README.survey BUGS CREDITS SUPPORT
@@ -49,8 +45,7 @@
 	dh_installdocs -pdante-client -pdante-server
 	dh_installdocs -pdante-server doc/SOCKS4.protocol
 
-override_dh_installchangelogs:
-	dh_installchangelogs
+execute_after_dh_installchangelogs:
 	set -e; for p in $$(dh_listpackages); do \
 		install -m 644 NEWS "debian/$$p/usr/share/doc/$$p/"; \
 	done
@@ -64,8 +59,5 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 %:
 	dh '$@'
