## dante 1.4.4+dfsg

=== debian/changelog ===
dante (1.4.4+dfsg-1) unstable; urgency=medium

  [ 何庆 Ching He ]
  * Add libcrypt-dev to Build-Depends (Closes: #1106926)
  * Fix RC bug to prevent autoremoval from testing (deadline: 2025-12-24)

  [ Adrian Bunk ]
  * Acknowledge NMU (Closes: #1102547)

  [ Antonio Enrico Russo ]
  * New maintainer.  Thanks Peter! (Closes: #1122500)
  * Standardize patches
  * Exclude autoconf/automake files
  * New upstream release 1.4.4 (Closes: #1108486, #1090930)
    - Fix CVE-2024-54662
  * Defuzz debian/patches/typos.patch
  * Rework debian/patches/sa_siginfo.patch
  * Rework debian/patches/implicit.patch
  * Refresh patches
  * Bump Standards-Version to 4.7.2 with no changes
  * Update debian/copyright
  * Tighten systemd sandbox
  * Re-encode files as UTF-8

 -- Antonio Enrico Russo <aerusso@aerusso.net>  Sat, 13 Dec 2025 08:27:01 -0700
